Bug 1082300 - Mesa: get rid of n_VDPAU-XVMC-libs-Replace-hardlinks-with-copies.patch?
Mesa: get rid of n_VDPAU-XVMC-libs-Replace-hardlinks-with-copies.patch?
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
Other Other
: P2 - High : Normal (vote)
: ---
Assigned To: Stefan Dirsch
E-mail List
:
Depends on:
Blocks: 1082292
  Show dependency treegraph
 
Reported: 2018-02-22 14:16 UTC by Stefan Dirsch
Modified: 2019-04-09 13:46 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Dirsch 2018-02-22 14:16:09 UTC
> - n_VDPAU-XVMC-libs-Replace-hardlinks-with-copies.patch
>   * Since these are packaged separately in (open)SUSE anyway, one can use
>   * copies as well. This makes debug packages possible again. (bnc #962609)
>
https://build.opensuse.org/package/view_file/X11:XOrg/Mesa/n_VDPAU-XVMC-libs-Replace-hardlinks-with-copies.patch?expand=1
>  https://bugzilla.suse.com/show_bug.cgi?id=962609
>
>  I'm not aware of a different fix, when splitting vdpau/xvmc to
>  subpackages. :-(
>
Just ship a single mesa-vdpau/etc package? The extra modularity does
not bring you anything.
Comment 1 Stefan Dirsch 2018-02-23 11:24:20 UTC
We've splitted off xvmc/vdpau packages, since at that time xvmc/vdpau support on some graphics hardware was still considered experimental/not stable yet. This may have changed meanwhile.
Comment 2 Stefan Dirsch 2018-02-26 14:11:32 UTC
In order to get rid of the patch we would need to merge (again)

  libXvMC_nouveau + libXvMC_r600

and

  libvdpau_nouveau + libvdpau_r300 + libvdpau_r600 + libvdpau_radeonsi

and of course make sure, the new package supersedes the old packages. I currently don't see the benefit of doing this. 

And we lose the possibility of declaring some of the old packages stable, i.e. install them by default on appropriate hardware. And others less stable or experimental or no longer well tested and install them not by default.
Comment 6 Stefan Dirsch 2019-04-09 13:46:48 UTC
Finally decided to keep this patch. Therefore closing as WONTFIX.